
From: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>

This patch adds __init for the function used only for initialization. 

Signed-off-by: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/mips/vr41xx/casio-e55/setup.c   |    5 +++--
 25-akpm/arch/mips/vr41xx/ibm-workpad/setup.c |    5 +++--
 2 files changed, 6 insertions(+), 4 deletions(-)

diff -puN arch/mips/vr41xx/casio-e55/setup.c~serial-add-the-output-interface-control-to-mips-fix arch/mips/vr41xx/casio-e55/setup.c
--- 25/arch/mips/vr41xx/casio-e55/setup.c~serial-add-the-output-interface-control-to-mips-fix	2005-03-02 18:13:11.000000000 -0800
+++ 25-akpm/arch/mips/vr41xx/casio-e55/setup.c	2005-03-02 18:13:11.000000000 -0800
@@ -17,6 +17,7 @@
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
+#include <linux/init.h>
 #include <linux/ioport.h>
 
 #include <asm/io.h>
@@ -27,7 +28,7 @@ const char *get_system_type(void)
 	return "CASIO CASSIOPEIA E-11/15/55/65";
 }
 
-static int casio_e55_setup(void)
+static int __init casio_e55_setup(void)
 {
 	set_io_port_base(IO_PORT_BASE);
 	ioport_resource.start = IO_PORT_RESOURCE_START;
@@ -36,4 +37,4 @@ static int casio_e55_setup(void)
 	return 0;
 }
 
-early_initcall(casio_e55_setup);
+arch_initcall(casio_e55_setup);
diff -puN arch/mips/vr41xx/ibm-workpad/setup.c~serial-add-the-output-interface-control-to-mips-fix arch/mips/vr41xx/ibm-workpad/setup.c
--- 25/arch/mips/vr41xx/ibm-workpad/setup.c~serial-add-the-output-interface-control-to-mips-fix	2005-03-02 18:13:11.000000000 -0800
+++ 25-akpm/arch/mips/vr41xx/ibm-workpad/setup.c	2005-03-02 18:13:11.000000000 -0800
@@ -17,6 +17,7 @@
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
+#include <linux/init.h>
 #include <linux/ioport.h>
 
 #include <asm/io.h>
@@ -27,7 +28,7 @@ const char *get_system_type(void)
 	return "IBM WorkPad z50";
 }
 
-static int ibm_workpad_setup(void)
+static int __init ibm_workpad_setup(void)
 {
 	set_io_port_base(IO_PORT_BASE);
 	ioport_resource.start = IO_PORT_RESOURCE_START;
@@ -36,4 +37,4 @@ static int ibm_workpad_setup(void)
 	return 0;
 }
 
-early_initcall(ibm_workpad_setup);
+arch_initcall(ibm_workpad_setup);
_
